<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/info/item/renderer/init.jsp" %>

<%
JournalArticle article = (JournalArticle)request.getAttribute(WebKeys.JOURNAL_ARTICLE);
AssetRenderer<?> assetRenderer = (AssetRenderer)request.getAttribute(WebKeys.ASSET_RENDERER);
%>

<c:choose>
	<c:when test="<%= (article != null) && article.isExpired() %>">
		<div class="alert alert-warning">
			<liferay-ui:message arguments="<%= HtmlUtil.escape(article.getTitle(locale)) %>" key="x-is-expired" />
		</div>
	</c:when>
	<c:otherwise>
		<div class="asset-summary">
			<c:if test="<%= article.isSmallImage() %>">
				<div class="aspect-ratio aspect-ratio-8-to-3 aspect-ratio-bg-cover cover-image mb-4" style="background-image: url(<%= article.getArticleImageURL(themeDisplay) %>);"></div>
			</c:if>

			<%
			String summary = assetRenderer.getSummary(renderRequest, renderResponse);
			%>

			<c:choose>
				<c:when test="<%= Validator.isNull(summary) %>">

					<%
					assetRenderer.include(request, response, "abstract");
					%>

				</c:when>
				<c:otherwise>
					<%= summary %>
				</c:otherwise>
			</c:choose>
		</div>
	</c:otherwise>
</c:choose>